
var clicked = 0;
function ClearAway (obj, tag) {
    var a = (document.getElementsByTagName(tag));

    for (i=0; i < a.length; i++) {
	if (!a[i].id) { continue; }
	var style = a[i].style;
	if (tag == 'td') {
	    if (a[i] == obj) {
		style.borderTop  = style.borderBottom = 'solid #6666cc 1px';
		style.borderLeft = style.borderRight  = 'solid #6666cc 8px';
	    }
	    else {
		style.borderTop  = style.borderBottom = 'solid white 1px';
		style.borderLeft = style.borderRight  = 'solid white 8px';
	    }
	}
	else if (a[i] == obj) {
	    style.background = '#6666cc';
	}
	else {
	    style.background = 'gray';
	}
    }

    if (tag == 'td' && !clicked) {
	a = (document.getElementsByTagName('th'));
	for (i=0; i < a.length; i++) {
	    if (!a[i].id) { continue; }
	    a[i].style.background='gray';
	}
    }

    if (tag != 'td') {
	clicked = 1;
    }
}


